Bug 205317 - PrimeFaces Maven project can not be built (incorrect repository)
PrimeFaces Maven project can not be built (incorrect repository)
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: JSF
7.1
All All
: P1 (vote)
: 7.1
Assigned To: Martin Fousek
issues@javaee
: 71_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-19 20:49 UTC by Petr Jiricka
Modified: 2011-11-24 08:44 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Jiricka 2011-11-19 20:49:23 UTC
1. Create a EE 6 Maven web project
2. Add JSF with PrimeFaces component suite
3. Build it

Build will fail because the PrimeFaces library can not be downloaded from the repository: http://repository.prime.com.tr. This is because the repository URL has changed to http://repository.primefaces.org/, see http://blog.primefaces.org/?p=1429.
Comment 1 Petr Jiricka 2011-11-19 20:53:44 UTC
Fixed in trunk: http://hg.netbeans.org/web-main/rev/d3e518539d4b

Martin, I think this should be fixed for 7.1 - can you please backport, following the HR process? Thanks.
Comment 2 Quality Engineering 2011-11-20 16:37:21 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/d3e518539d4b
User: pjiricka@netbeans.org
Log: #205317 - correcting the PrimeFaces Maven repository URL.
Comment 3 Martin Fousek 2011-11-21 06:21:18 UTC
> Martin, I think this should be fixed for 7.1 - can you please backport,
> following the HR process? Thanks.

Agree. I will do that.

Jirko, please could you verify the fix in the trunk?
Comment 4 Jiri Skrivanek 2011-11-21 13:34:21 UTC
Verified in dev build 201111210600.
Comment 5 Martin Fousek 2011-11-22 12:46:14 UTC
Patch reviewed by me, looks OK. Thanks Jirko for your verification.
Comment 6 Martin Fousek 2011-11-23 09:59:36 UTC
Transplanted in changeset: releases #009391f1812c
Comment 7 Quality Engineering 2011-11-24 07:15:51 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/009391f1812c
User: pjiricka@netbeans.org
Log: #205317 - correcting the PrimeFaces Maven repository URL.
(transplanted from d3e518539d4b7435944777224caf38f40651ff23)
Comment 8 Jiri Skrivanek 2011-11-24 08:44:56 UTC
Verified in NetBeans IDE 7.1 RC1 (Build 201111232200).


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo